/*
 * ext_fun.h
 *
 *  Created on: 06-Mar-2023
 *      Author: LUBI
 */

#ifndef INC_EXT_FUN_H_
#define INC_EXT_FUN_H_

void adc_check(void);
void adc_check_2(void);
void AC_TYPE2(void);
void AC_TYPE2_1(void);
void start_pwm(void);
void stop_pwm(void);
void start_pwm_1(void);
void stop_pwm_1(void);

void configuraitonmode(void);

void Internal_Flash_Program(unsigned char* FirmwareBytePAcket,unsigned short PacketSize);
void Internal_Flash_Read(unsigned long int *, unsigned int);
void Write_Params(void);
void Read_Params(void);


#endif /* INC_EXT_FUN_H_ */
